# Uses of Interface
org.opensaml.saml.saml1.core.AuthorizationDecisionStatement

Packages that use AuthorizationDecisionStatement
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.

## Uses of AuthorizationDecisionStatement in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return types with arguments of type AuthorizationDecisionStatement
Modifier and Type
Method
Description
`List<AuthorizationDecisionStatement>`
Assertion.`getAuthorizationDecisionStatements()`
Return the List representing all the `AuthorizationStatement` sub elements.

## Uses of AuthorizationDecisionStatement in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement AuthorizationDecisionStatement
Modifier and Type
Class
Description
`class`
`AuthorizationDecisionStatementImpl`
A concrete implementation of `AuthorizationDecisionStatement`.
Methods in org.opensaml.saml.saml1.core.impl that return AuthorizationDecisionStatement
Modifier and Type
Method
Description
`AuthorizationDecisionStatement`
AuthorizationDecisionStatementBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AuthorizationDecisionStatement`
AuthorizationDecisionStatementBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml1.core.impl that return types with arguments of type AuthorizationDecisionStatement
Modifier and Type
Method
Description
`List<AuthorizationDecisionStatement>`
AssertionImpl.`getAuthorizationDecisionStatements()`
Return the List representing all the `AuthorizationStatement` sub elements.